MailcrateDocs
Email templates

Push a compiled template bundle

POST
/public/email-template/{identifier}/push-bundle

Uploads a compiled React Email bundle as the template's new content. This is what mailcrate push calls; changed in the response is false when the bundle was identical to the current one.

Requires the email-template:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

identifier*string

Request Body

application/json
  1. body
compiledBundle*string

Response Body

Example Request
curl -X POST 'https://api.mailcrate.io/public/email-template/string/push-bundle' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{  "compiledBundle": "string"}'
Example Response
Empty